# Uses of Class
org.eclipse.mat.query.registry.AnnotatedObjectArgumentsSet

Packages that use AnnotatedObjectArgumentsSet
Package
Description
org.eclipse.mat.ui.internal.acquire
Acquire heap dumps from other running processes - user interface (not API).

## Uses of AnnotatedObjectArgumentsSet in org.eclipse.mat.ui.internal.acquire

Methods in org.eclipse.mat.ui.internal.acquire that return AnnotatedObjectArgumentsSet
Modifier and Type
Method
Description
`AnnotatedObjectArgumentsSet`
ProviderArgumentsTable.`getArgumentSet()`
`AnnotatedObjectArgumentsSet`
ProviderArgumentsWizardPage.`getArgumentSet()`
`AnnotatedObjectArgumentsSet`
AcquireDialog.`getProcessArgumentsSet()`
Methods in org.eclipse.mat.ui.internal.acquire with parameters of type AnnotatedObjectArgumentsSet
Modifier and Type
Method
Description
`void`
ProviderArgumentsWizardPage.`processSelected(AnnotatedObjectArgumentsSet argumentSet)`
`void`
ProviderConfigurationWizardPage.`processSelected(AnnotatedObjectArgumentsSet argumentSet)`
Called from AcquireDialog with a process argument set, use to find the provider
`void`
ProviderArgumentsTable.`providerSelected(AnnotatedObjectArgumentsSet newArgumentsSet)`